# 📦 KairoEngine.Core v0.1.9

This contains the base code that other packages will use. It includes code for the module system, event system and common interfaces.

### 🛑Required packages

- ``Sirenix.OdinInspector``
- `zenject`
- `UniRX`
- `QFSW.MOP2`

### 🔷Components

- ``GameInstaller``

### 📑Templates

- **Game Config** – Scriptable object template that holds data about modules and the game. Each game will have its own game config with different module settings.

### 📄Namespaces

- `KairoEngine.Core`

- `KairoEngine.Core.ModuleSystem`

### 🎈Back Log

- [ ] Game State register and check
  Ex: Check if game is paused, Check if player input is allowed...

- [ ] Move ``UiInputBlocker`` from the **UI** package to this package.
