﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KairoEngine.Core
{
    public class FloatingMessageEvents
    {
        public static event System.Action<string, Vector3, float, float, float> OnMessage;

        public static void Send(string text, Vector3 pos, float offset, float time, float fontSize)
        {
            if(OnMessage != null)
            {
                OnMessage(text, pos, offset, time, fontSize);
            }
        }
    }
}